{-# LANGUAGE NoImplicitPrelude #-}
module Bamboo.Theme.Blueprint.Widget.Header where
  
import Bamboo.Theme.Blueprint.Env hiding (header)
import Bamboo.Theme.Blueprint.Widget.SearchBar (search_bar)

header :: Widget
header s =
  div_class_id "column span-12 first" "header" << 
    [ search_bar s
    , site_name s
    ]

site_name :: Widget
site_name s = toHtml $
  [ toHtml $ hotlink (s.env.slashed_script_name) ! [theclass "logo"] << ""
  , h1 << s.config.blog_title
  , div_class "description" << s.config.blog_subtitle
  ]
